import path from 'path'
import fs from 'fs'
import vue from 'rollup-plugin-vue'
import buble from 'rollup-plugin-buble'
import uglify from 'rollup-plugin-uglify'
import babel from 'rollup-plugin-babel'
import { minify } from 'uglify-js-harmony'

const pack = JSON.parse(fs.readFileSync(path.resolve(__dirname, 'package.json'), 'utf8'))
const name = pack.name.replace(/^.*\/(.*)$/, '$1').replace('-', '')

let cache

const config = {
  entry: 'src/index.js',
  targets: [
    { format: 'cjs', dest: `dist/${name}.common.js` }
  ],
  moduleName: name,
  plugins: [
    vue({
      compileTemplate: true,
      css: true
    }),
    babel(),
    buble(),
    uglify({}, minify)
  ],
  useStrict: false,
  cache
}

export default config
